{
  "name": "@gitlab/application-sdk-browser",
  "version": "0.3.4",
  "description": "Client side Browser SDK for GitLab Application services",
  "license": "MIT",
  "main": "dist/gl-sdk.cjs.js",
  "browser": "dist/gl-sdk.min.js",
  "unpkg": "dist/gl-sdk.min.js",
  "module": "dist/gl-sdk.esm.js",
  "files": [
    "dist",
    "src",
    "tests"
  ],
  "scripts": {
    "clean": "rm -rf ./dist",
    "test": "rollup -c && jest --detectOpenHandles --runInBand --verbose true",
    "test:only": "jest",
    "build": "yarn clean && rollup -c",
    "examples:install": "cd examples/vanilla-js && yarn install",
    "examples:serve": "cd examples/vanilla-js && yarn serve",
    "examples:build": "cd examples/vanilla-js && yarn build"
  },
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/gitlab-org/analytics-section/product-analytics/gl-application-sdk-browser.git"
  },
  "keywords": [
    "GitLab"
  ],
  "author": "GitLab",
  "bugs": {
    "url": "https://gitlab.com/gitlab-org/analytics-section/product-analytics/gl-application-sdk-js/issues"
  },
  "homepage": "https://gitlab.com/gitlab-org/analytics-section/product-analytics/gl-application-sdk-js#readme",
  "devDependencies": {
    "@babel/core": "^7.18.13",
    "@babel/preset-env": "^7.18.10",
    "@rollup/plugin-commonjs": "^22.0.2",
    "@rollup/plugin-node-resolve": "^13.3.0",
    "@rollup/plugin-terser": "^0.4.1",
    "@semantic-release/git": "^10.0.1",
    "@semantic-release/gitlab": "^12.0.2",
    "@types/jest": "^29.4.0",
    "@types/lodash": "^4.14.191",
    "babel-jest": "^29.4.3",
    "esbuild": "^0.17.10",
    "jest": "^29.4.3",
    "jest-environment-jsdom": "^29.4.3",
    "rollup": "^3.17.3",
    "rollup-plugin-dts": "^5.2.0",
    "rollup-plugin-esbuild": "^5.0.0",
    "semantic-release": "^21.0.3",
    "ts-jest": "^29.0.5",
    "typescript": "^5.0.2"
  },
  "dependencies": {
    "@snowplow/browser-plugin-client-hints": "^4.3.0",
    "@snowplow/browser-plugin-error-tracking": "^4.3.0",
    "@snowplow/browser-plugin-link-click-tracking": "^4.3.0",
    "@snowplow/browser-plugin-performance-timing": "^4.3.0",
    "@snowplow/browser-tracker": "^4.3.0"
  }
}
